#include <iostream>

using namespace std;

int main()
{   int n,x[10],y[10];
cin>>n;
for(int i = 1; i <= n; i++)
    cin>>x[i]>>y[i];
    if(n==2)
    {
        if(x[1]==x[2] || y[1]==y[2])
        cout<<1;
        else
        cout<<0;
    }
    else if(n==1)
    cout<<0;
    return 0;
}